<?php

class Security{

    public function decode($string){

        $encrypt_method = "AES-256-CBC";
        $secret_key = '2FcKRSN39nUdVj8';
        $secret_iv = 'SWbMG88Spu2PP6XeA2';
        // hash
        $key = hash('sha256', $secret_key);
        
        // iv - encrypt method AES-256-CBC expects 16 bytes - else you will get a warning
        $iv = substr(hash('sha256', $secret_iv), 0, 16);
        
        $output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
        
        return $output;
    }

    public function encode($string){

        $encrypt_method = "AES-256-CBC";
        $secret_key = '2FcKRSN39nUdVj8';
        $secret_iv = 'SWbMG88Spu2PP6XeA2';
        // hash
        $key = hash('sha256', $secret_key);
        
        // iv - encrypt method AES-256-CBC expects 16 bytes - else you will get a warning
        $iv = substr(hash('sha256', $secret_iv), 0, 16);
        
        $output = openssl_encrypt($string, $encrypt_method, $key, 0, $iv);
        $output = base64_encode($output);
        
        return $output;

    }

    
}